Lenz2005 preview

Below you can see Lenz2005 in action. If you don't have java, you won't see a lens moving over the image below. You can download java here.

Java 1.4.0 required
© 2005 JVO Java